diff --git a/src/main/java/net/minecraft/core/entity/monster/SpiderMob.java b/src/main/java/net/minecraft/core/entity/monster/MobSpider.java
similarity index 92%
rename from src/main/java/net/minecraft/core/entity/monster/SpiderMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobSpider.java
index 6173d85d3..441d83d91 100644
--- a/src/main/java/net/minecraft/core/entity/monster/SpiderMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobSpider.java
@@ -13,11 +13,11 @@ import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.world.World;
 
-public class SpiderMob extends Monster
+public class MobSpider extends MobMonster
 {
     public static final int DATA_UNKNOWN = 16; // No clue why this exists
 
-    public SpiderMob(World world)
+    public MobSpider(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "spider");
@@ -38,10 +38,10 @@ public class SpiderMob extends Monster
     {
         super.defineSynchedData();
         if (world.getDifficulty().canHostileMobsSpawn() && random.nextInt(100 / world.getDifficulty().id()) == 0) {
-            SkeletonMob skeletonMob = new SkeletonMob(world);
-            skeletonMob.moveTo(x, y, z, yRot, 0.0F);
-            world.entityJoinedWorld(skeletonMob);
-            skeletonMob.startRiding(this);
+            MobSkeleton mobSkeleton = new MobSkeleton(world);
+            mobSkeleton.moveTo(x, y, z, yRot, 0.0F);
+            world.entityJoinedWorld(mobSkeleton);
+            mobSkeleton.startRiding(this);
         }
     }
 
diff --git a/src/main/java/net/minecraft/core/entity/monster/ZombieMob.java b/src/main/java/net/minecraft/core/entity/monster/MobZombie.java
similarity index 95%
rename from src/main/java/net/minecraft/core/entity/monster/ZombieMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobZombie.java
index f6251782f..994e8ae20 100644
--- a/src/main/java/net/minecraft/core/entity/monster/ZombieMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobZombie.java
@@ -10,10 +10,10 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.weather.Weathers;
 
-public class ZombieMob extends Monster
+public class MobZombie extends MobMonster
 {
 
-    public ZombieMob(World world)
+    public MobZombie(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "zombie");
diff --git a/src/main/java/net/minecraft/core/entity/monster/ZombieArmoredMob.java b/src/main/java/net/minecraft/core/entity/monster/MobZombieArmored.java
similarity index 96%
rename from src/main/java/net/minecraft/core/entity/monster/ZombieArmoredMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobZombieArmored.java
index 94b97e7be..5334a1697 100644
--- a/src/main/java/net/minecraft/core/entity/monster/ZombieArmoredMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobZombieArmored.java
@@ -6,7 +6,7 @@ package net.minecraft.core.entity.monster;
 
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.collection.NamespaceID;
@@ -17,13 +17,13 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
 
-public class ZombieArmoredMob extends ZombieMob
+public class MobZombieArmored extends MobZombie
 {
     public static final int DATA_BREAK_POINTS = 6;
     public static final int DATA_BREAK_ORDER = 7;
     public static final int DATA_GENERIC_FLAGS = 8;
     public static final int MASK_FLAG_SWORD = 0b0000_0001;
-    public ZombieArmoredMob(World world)
+    public MobZombieArmored(World world)
     {
         super(world);
         textureIdentifier = new NamespaceID("minecraft", "zombie_armored");
@@ -85,7 +85,7 @@ public class ZombieArmoredMob extends ZombieMob
                 int numChainlinks = random.nextInt(2);
                 for (int k = 0; k < numChainlinks; k++)
                 {
-                    ItemEntity entityitem = spawnAtLocation(new ItemStack(Items.CHAINLINK), 1.0F);
+                    EntityItem entityitem = spawnAtLocation(new ItemStack(Items.CHAINLINK), 1.0F);
                     entityitem.yd += random.nextFloat() * 0.05F;
                     entityitem.xd += (random.nextFloat() - random.nextFloat()) * 0.1F;
                     entityitem.zd += (random.nextFloat() - random.nextFloat()) * 0.1F;
diff --git a/src/main/java/net/minecraft/core/entity/monster/ZombiePigMob.java b/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java
similarity index 94%
rename from src/main/java/net/minecraft/core/entity/monster/ZombiePigMob.java
rename to src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java
index 74a05b3bf..accba6dde 100644
--- a/src/main/java/net/minecraft/core/entity/monster/ZombiePigMob.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java
@@ -19,13 +19,13 @@ import java.util.ArrayList;
 import java.util.List;
 
 // Referenced classes of package net.minecraft.src:
-//            ZombieMob, World, NBTTagCompound, Player,
+//            MobZombie, World, NBTTagCompound, Player,
 //            AxisAlignedBB, Entity, Item, ItemStack
 
-public class ZombiePigMob extends ZombieMob
+public class MobZombiePig extends MobZombie
 {
 
-    public ZombiePigMob(World world)
+    public MobZombiePig(World world)
     {
         super(world);
         angerLevel = 0;
@@ -43,7 +43,7 @@ public class ZombiePigMob extends ZombieMob
         if (tickCount % 200 == 0 && target instanceof Player && ((Player) target).getStat(Achievements.MOST_WANTED) <= 0) {
             int agroNumber = 1;
             for (Entity e : world.loadedEntityList) {
-                if (e instanceof ZombiePigMob && ((ZombiePigMob) e).target == this.target) {
+                if (e instanceof MobZombiePig && ((MobZombiePig) e).target == this.target) {
                     agroNumber++;
                 }
                 if (agroNumber >= 20) {
@@ -112,9 +112,9 @@ public class ZombiePigMob extends ZombieMob
             for(int j = 0; j < list.size(); j++)
             {
                 Entity entity1 = (Entity)list.get(j);
-                if(entity1 instanceof ZombiePigMob)
+                if(entity1 instanceof MobZombiePig)
                 {
-                    ZombiePigMob entitypigzombie = (ZombiePigMob)entity1;
+                    MobZombiePig entitypigzombie = (MobZombiePig)entity1;
                     entitypigzombie.becomeAngryAt(attacker);
                 }
             }
diff --git a/src/main/java/net/minecraft/core/entity/player/Player.java b/src/main/java/net/minecraft/core/entity/player/Player.java
index b49898282..666ef8a20 100644
--- a/src/main/java/net/minecraft/core/entity/player/Player.java
+++ b/src/main/java/net/minecraft/core/entity/player/Player.java
@@ -2,45 +2,45 @@ package net.minecraft.core.entity.player;
 
 import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.ListTag;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.BlockBed;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.block.entity.TileEntitySign;
+import net.minecraft.core.entity.EntityItem;
+import net.minecraft.core.entity.animal.MobPig;
+import net.minecraft.core.entity.animal.MobWolf;
+import net.minecraft.core.entity.monster.MobCreeper;
+import net.minecraft.core.entity.monster.MobSlime;
+import net.minecraft.core.entity.monster.MobSpider;
+import net.minecraft.core.entity.monster.MobZombiePig;
+import net.minecraft.core.entity.projectile.ProjectileArrow;
 import net.minecraft.core.enums.Difficulty;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.achievement.stat.Stat;
 import net.minecraft.core.achievement.stat.StatList;
-import net.minecraft.core.block.BedBlock;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.BlockEntity;
-import net.minecraft.core.block.entity.DispenserBlockEntity;
-import net.minecraft.core.block.entity.FlagBlockEntity;
-import net.minecraft.core.block.entity.FurnaceBlockEntity;
-import net.minecraft.core.block.entity.SignBlockEntity;
-import net.minecraft.core.block.entity.TrommelBlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.TileEntityDispenser;
+import net.minecraft.core.block.entity.TileEntityFlag;
+import net.minecraft.core.block.entity.TileEntityFurnace;
+import net.minecraft.core.block.entity.TileEntityTrommel;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.data.gamerule.GameRules;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
-import net.minecraft.core.entity.FishingBobberEntity;
-import net.minecraft.core.entity.ItemEntity;
-import net.minecraft.core.entity.LightningEntity;
+import net.minecraft.core.entity.EntityFishingBobber;
+import net.minecraft.core.entity.EntityLightning;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.TNTPrimedEntity;
-import net.minecraft.core.entity.animal.PigMob;
-import net.minecraft.core.entity.animal.WolfMob;
-import net.minecraft.core.entity.monster.CreeperMob;
-import net.minecraft.core.entity.monster.GhastMob;
-import net.minecraft.core.entity.monster.GiantMob;
-import net.minecraft.core.entity.monster.Monster;
-import net.minecraft.core.entity.monster.SkeletonMob;
-import net.minecraft.core.entity.monster.SlimeMob;
-import net.minecraft.core.entity.monster.SnowmanMob;
-import net.minecraft.core.entity.monster.SpiderMob;
-import net.minecraft.core.entity.monster.ZombieMob;
-import net.minecraft.core.entity.monster.ZombiePigMob;
-import net.minecraft.core.entity.projectile.ArrowProjectile;
-import net.minecraft.core.entity.projectile.CannonballProjectile;
-import net.minecraft.core.entity.projectile.FireballProjectile;
-import net.minecraft.core.entity.projectile.GoldenArrowProjectile;
+import net.minecraft.core.entity.EntityPrimedTNT;
+import net.minecraft.core.entity.monster.MobGhast;
+import net.minecraft.core.entity.monster.MobGiant;
+import net.minecraft.core.entity.monster.MobMonster;
+import net.minecraft.core.entity.monster.MobSkeleton;
+import net.minecraft.core.entity.monster.MobSnowman;
+import net.minecraft.core.entity.monster.MobZombie;
+import net.minecraft.core.entity.projectile.ProjectileCannonball;
+import net.minecraft.core.entity.projectile.ProjectileFireball;
+import net.minecraft.core.entity.projectile.ProjectileArrowGolden;
 import net.minecraft.core.entity.vehicle.BoatEntity;
 import net.minecraft.core.entity.vehicle.MinecartEntity;
 import net.minecraft.core.enums.ArtType;
@@ -50,14 +50,14 @@ import net.minecraft.core.item.IArmorItem;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
-import net.minecraft.core.item.tool.SwordToolItem;
+import net.minecraft.core.item.tool.ItemToolSword;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.player.inventory.container.Container;
-import net.minecraft.core.player.inventory.container.Inventory;
-import net.minecraft.core.player.inventory.menu.AbstractContainerMenu;
-import net.minecraft.core.player.inventory.menu.InventoryMenu;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
+import net.minecraft.core.player.inventory.menu.MenuAbstract;
+import net.minecraft.core.player.inventory.menu.MenuInventory;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.util.helper.DyeColor;
@@ -69,7 +69,7 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.ChunkCoordinates;
 import net.minecraft.core.world.chunk.provider.IChunkProvider;
 import net.minecraft.core.world.weather.Weathers;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 import org.jetbrains.annotations.Nullable;
 
 import java.util.ArrayList;
@@ -83,9 +83,9 @@ public abstract class Player extends Mob
     public static final int DATA_SELECTED_ART = 17;
     public static final int DATA_HELD_ARROW = 18;
     public static final TextFormatting deathMsgColor = TextFormatting.RED;
-    public Inventory inventory;
-    public AbstractContainerMenu inventorySlots;
-    public AbstractContainerMenu craftingInventory;
+    public ContainerInventory inventory;
+    public MenuAbstract inventorySlots;
+    public MenuAbstract craftingInventory;
     public Gamemode gamemode = Gamemode.survival;
     //    public byte userType;
     public int score;
@@ -117,7 +117,7 @@ public abstract class Player extends Mob
     public float timeInPortal;
     public float prevTimeInPortal;
     private final int damageRemainder;
-    public @Nullable FishingBobberEntity bobberEntity;
+    public @Nullable EntityFishingBobber bobberEntity;
     protected @Nullable ICarriable heldObject;
     public volatile String skinURL;
     public volatile String capeURL;
@@ -132,7 +132,7 @@ public abstract class Player extends Mob
     public Player(World world)
     {
         super(world);
-        inventory = new Inventory(this);
+        inventory = new ContainerInventory(this);
 //        userType = 0;
         score = 0;
         isSwinging = false;
@@ -140,7 +140,7 @@ public abstract class Player extends Mob
         timeUntilPortal = 20;
         inPortal = false;
         bobberEntity = null;
-        inventorySlots = new InventoryMenu(inventory, !world.isClientSide);
+        inventorySlots = new MenuInventory(inventory, !world.isClientSide);
         craftingInventory = inventorySlots;
         heightOffset = 1.62F;
         ChunkCoordinates chunkcoordinates = world.getSpawnPoint();
@@ -458,9 +458,9 @@ public abstract class Player extends Mob
         {
             return getDisplayName() + deathMsgColor + " was killed by Herobrine.";
         }
-        if (entityKilledBy instanceof ZombieMob)
+        if (entityKilledBy instanceof MobZombie)
         {
-            if (entityKilledBy instanceof ZombiePigMob)
+            if (entityKilledBy instanceof MobZombiePig)
             {
                 return getDisplayName() + deathMsgColor + " discovered mob mentality.";
             }
@@ -469,103 +469,103 @@ public abstract class Player extends Mob
                 return getDisplayName() + deathMsgColor + " became a zombie.";
             }
         }
-        if (entityKilledBy instanceof CreeperMob)
+        if (entityKilledBy instanceof MobCreeper)
         {
             return deathMsgColor + "Aw man, " + getDisplayName() + deathMsgColor + " didn't see the creeper.";
         }
-        if (entityKilledBy instanceof SkeletonMob)
+        if (entityKilledBy instanceof MobSkeleton)
         {
             return getDisplayName() + deathMsgColor + " was a victim of aimbot.";
         }
-        if (entityKilledBy instanceof SpiderMob)
+        if (entityKilledBy instanceof MobSpider)
         {
             return getDisplayName() + deathMsgColor + " spent too much time on the web.";
         }
-        if (entityKilledBy instanceof GhastMob)
+        if (entityKilledBy instanceof MobGhast)
         {
             return getDisplayName() + deathMsgColor + " didn't return the serve.";
         }
-        if (entityKilledBy instanceof SlimeMob)
+        if (entityKilledBy instanceof MobSlime)
         {
             return getDisplayName() + deathMsgColor + " was slimed.";
         }
-        if (entityKilledBy instanceof WolfMob)
+        if (entityKilledBy instanceof MobWolf)
         {
             return getDisplayName() + deathMsgColor + " got what they deserved.";
         }
-        if (entityKilledBy instanceof GoldenArrowProjectile)
+        if (entityKilledBy instanceof ProjectileArrowGolden)
         {
-            if (((GoldenArrowProjectile) entityKilledBy).owner instanceof ServerPlayer)
+            if (((ProjectileArrowGolden) entityKilledBy).owner instanceof PlayerServer)
             {
-                if (((ServerPlayer) ((GoldenArrowProjectile) entityKilledBy).owner).uuid.equals(uuid))
+                if (((PlayerServer) ((ProjectileArrowGolden) entityKilledBy).owner).uuid.equals(uuid))
                 {
                     return getDisplayName() + deathMsgColor + " got gold in their eye.";
                 }
                 return getDisplayName() + deathMsgColor + " got pierced by " +
-                    ((ArrowProjectile) entityKilledBy).owner.getDisplayName() + deathMsgColor + ".";
+                    ((ProjectileArrow) entityKilledBy).owner.getDisplayName() + deathMsgColor + ".";
             }
             else
             {
                 return getDisplayName() + deathMsgColor + " is Swiss cheese.";
             }
         }
-        if (entityKilledBy instanceof ArrowProjectile)
+        if (entityKilledBy instanceof ProjectileArrow)
         {
-            if (((ArrowProjectile) entityKilledBy).owner instanceof SkeletonMob)
+            if (((ProjectileArrow) entityKilledBy).owner instanceof MobSkeleton)
             {
                 return getDisplayName() + deathMsgColor + " was a victim of aimbot.";
             }
-            else if (((ArrowProjectile) entityKilledBy).owner instanceof ServerPlayer)
+            else if (((ProjectileArrow) entityKilledBy).owner instanceof PlayerServer)
             {
-                if (((ServerPlayer) ((ArrowProjectile) entityKilledBy).owner).uuid.equals(uuid))
+                if (((PlayerServer) ((ProjectileArrow) entityKilledBy).owner).uuid.equals(uuid))
                 {
                     return getDisplayName() + deathMsgColor + " lost a game of Russian roulette.";
                 }
                 return getDisplayName() + deathMsgColor + " got 360 noscoped by " +
-                    ((ArrowProjectile) entityKilledBy).owner.getDisplayName() + deathMsgColor + ".";
+                    ((ProjectileArrow) entityKilledBy).owner.getDisplayName() + deathMsgColor + ".";
             }
             else
             {
                 return getDisplayName() + deathMsgColor + " is a pincushion.";
             }
         }
-        if (entityKilledBy instanceof CannonballProjectile)
+        if (entityKilledBy instanceof ProjectileCannonball)
         {
-            if (((CannonballProjectile) entityKilledBy).owner instanceof ServerPlayer)
+            if (((ProjectileCannonball) entityKilledBy).owner instanceof PlayerServer)
             {
-                if (((ServerPlayer) ((CannonballProjectile) entityKilledBy).owner).uuid.equals(uuid))
+                if (((PlayerServer) ((ProjectileCannonball) entityKilledBy).owner).uuid.equals(uuid))
                 {
                     return getDisplayName() + deathMsgColor + " jumped too high.";
                 }
                 return getDisplayName() + deathMsgColor + " was fragmented by " +
-                    ((CannonballProjectile) entityKilledBy).owner.getDisplayName() + deathMsgColor + ".";
+                    ((ProjectileCannonball) entityKilledBy).owner.getDisplayName() + deathMsgColor + ".";
             }
             else
             {
                 return getDisplayName() + deathMsgColor + " was detonated remotely.";
             }
         }
-        if (entityKilledBy instanceof FireballProjectile)
+        if (entityKilledBy instanceof ProjectileFireball)
         {
             return getDisplayName() + deathMsgColor + " didn't return the serve.";
         }
-        if (entityKilledBy instanceof GiantMob)
+        if (entityKilledBy instanceof MobGiant)
         {
             return getDisplayName() + deathMsgColor + " was killed by- wait, what?!";
         }
-        if (entityKilledBy instanceof LightningEntity)
+        if (entityKilledBy instanceof EntityLightning)
         {
             return getDisplayName() + deathMsgColor + " was grounded.";
         }
-        if (entityKilledBy instanceof TNTPrimedEntity)
+        if (entityKilledBy instanceof EntityPrimedTNT)
         {
             return getDisplayName() + deathMsgColor + " was killed by Popbob.";
         }
-        if (entityKilledBy instanceof ServerPlayer)
+        if (entityKilledBy instanceof PlayerServer)
         {
-            return getDisplayName() + deathMsgColor + " was backstabbed by " + ((ServerPlayer) entityKilledBy).getDisplayName() + deathMsgColor + ".";
+            return getDisplayName() + deathMsgColor + " was backstabbed by " + ((PlayerServer) entityKilledBy).getDisplayName() + deathMsgColor + ".";
         }
-        if (entityKilledBy instanceof PigMob)
+        if (entityKilledBy instanceof MobPig)
         {
             return getDisplayName() + deathMsgColor + " is *really* bad at Minecraft.";
         }
@@ -675,7 +675,7 @@ public abstract class Player extends Mob
         {
             return;
         }
-        ItemEntity entityitem = new ItemEntity(world, x, (y - 0.30000001192092896D) + (double) this.getHeadHeight(), z, itemstack);
+        EntityItem entityitem = new EntityItem(world, x, (y - 0.30000001192092896D) + (double) this.getHeadHeight(), z, itemstack);
         entityitem.pickupDelay = 40;
         float f = 0.1F;
         if(flag)
@@ -702,7 +702,7 @@ public abstract class Player extends Mob
         addStat(StatList.dropStat, 1);
     }
 
-    protected void joinEntityItemWithWorld(ItemEntity entityitem)
+    protected void joinEntityItemWithWorld(EntityItem entityitem)
     {
         world.entityJoinedWorld(entityitem);
     }
@@ -710,7 +710,7 @@ public abstract class Player extends Mob
     public float getCurrentPlayerStrVsBlock(Block block)
     {
         float f = inventory.getStrVsBlock(block);
-        float defaultBreakSpeed = (inventory.getCurrentItem() != null && inventory.getCurrentItem().getItem() instanceof SwordToolItem) ? 1.51f : 1.01f;
+        float defaultBreakSpeed = (inventory.getCurrentItem() != null && inventory.getCurrentItem().getItem() instanceof ItemToolSword) ? 1.51f : 1.01f;
         if (this.getGamemode().doesRequireToolToBreak() && f <= defaultBreakSpeed) return 0; // Requires to break and not effective against block
         if(isUnderLiquid(Material.water))
         {
@@ -733,7 +733,7 @@ public abstract class Player extends Mob
 	public void readAdditionalSaveData(CompoundTag tag)
     {
         super.readAdditionalSaveData(tag);
-        ListTag nbttaglist = tag.getList("Inventory");
+        ListTag nbttaglist = tag.getList("ContainerInventory");
         inventory.readFromNBT(nbttaglist);
         inventory.setCurrentItemIndex(tag.getIntegerOrDefault("CurrentItem", inventory.getCurrentItemIndex()), true);
         inventory.setHotbarOffset(tag.getIntegerOrDefault("HotbarOffset", inventory.getHotbarOffset()), true);
@@ -767,7 +767,7 @@ public abstract class Player extends Mob
 	public void addAdditionalSaveData(CompoundTag tag)
     {
         super.addAdditionalSaveData(tag);
-        tag.put("Inventory", inventory.writeToNBT(new ListTag()));
+        tag.put("ContainerInventory", inventory.writeToNBT(new ListTag()));
         tag.putInt("CurrentItem", inventory.getCurrentItemIndex());
         tag.putInt("HotbarOffset", inventory.getHotbarOffset());
         tag.putInt("Dimension", dimension);
@@ -874,7 +874,7 @@ public abstract class Player extends Mob
         {
             wakeUpPlayer(true, true);
         }
-        if((attacker instanceof Monster) || (attacker instanceof ArrowProjectile))
+        if((attacker instanceof MobMonster) || (attacker instanceof ProjectileArrow))
         {
             switch (world.getDifficulty()) {
                 case PEACEFUL: {
@@ -892,13 +892,13 @@ public abstract class Player extends Mob
             }
         }
         Entity blamedAttacker = attacker;
-        if (damage == 0 && !(attacker instanceof SnowmanMob))
+        if (damage == 0 && !(attacker instanceof MobSnowman))
         {
             return false;
         }
-        if((blamedAttacker instanceof ArrowProjectile) && ((ArrowProjectile)blamedAttacker).owner != null)
+        if((blamedAttacker instanceof ProjectileArrow) && ((ProjectileArrow)blamedAttacker).owner != null)
         {
-            blamedAttacker = ((ArrowProjectile)blamedAttacker).owner;
+            blamedAttacker = ((ProjectileArrow)blamedAttacker).owner;
         }
         if(blamedAttacker instanceof Mob)
         {
@@ -920,13 +920,13 @@ public abstract class Player extends Mob
 
     protected void alertWolves(Mob attacker, boolean flag)
     {
-        if((attacker instanceof CreeperMob) || (attacker instanceof GhastMob))
+        if((attacker instanceof MobCreeper) || (attacker instanceof MobGhast))
         {
             return;
         }
-        if(attacker instanceof WolfMob)
+        if(attacker instanceof MobWolf)
         {
-            WolfMob wolf = (WolfMob)attacker;
+            MobWolf wolf = (MobWolf)attacker;
             if(wolf.isWolfTamed() && uuid.equals(wolf.getWolfOwner()))
             {
                 return;
@@ -936,9 +936,9 @@ public abstract class Player extends Mob
         {
             return;
         }
-        List<Entity> list = world.getEntitiesWithinAABB(WolfMob.class, AABB.getTemporaryBB(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
+        List<Entity> list = world.getEntitiesWithinAABB(MobWolf.class, AABB.getTemporaryBB(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
         for (Entity entity : list) {
-            WolfMob wolf = (WolfMob) entity;
+            MobWolf wolf = (MobWolf) entity;
             if (wolf.isWolfTamed() && wolf.getTarget() == null && uuid.equals(wolf.getWolfOwner()) && (!flag || !wolf.isWolfSitting())) {
                 wolf.setTarget(attacker);
             }
@@ -989,27 +989,27 @@ public abstract class Player extends Mob
         }
     }
     
-    public void displayFurnaceScreen(FurnaceBlockEntity blockEntity)
+    public void displayFurnaceScreen(TileEntityFurnace blockEntity)
     {
     }
 
-    public void displayTrommelScreen(TrommelBlockEntity blockEntity)
+    public void displayTrommelScreen(TileEntityTrommel blockEntity)
     {
     }
 
-    public void displayDispenserScreen(DispenserBlockEntity blockEntity)
+    public void displayDispenserScreen(TileEntityDispenser blockEntity)
     {
     }
 
-    public void displayActivatorScreen(ActivatorBlockEntity blockEntity)
+    public void displayActivatorScreen(TileEntityActivator blockEntity)
     {
     }
 
-    public void displaySignEditorScreen(SignBlockEntity blockEntity)
+    public void displaySignEditorScreen(TileEntitySign blockEntity)
     {
     }
 
-    public void displayFlagEditorScreen(FlagBlockEntity blockEntity)
+    public void displayFlagEditorScreen(TileEntityFlag blockEntity)
     {
     }
 
@@ -1163,7 +1163,7 @@ public abstract class Player extends Mob
         if(world.isBlockLoaded(x, y, z))
         {
             int meta = world.getBlockMetadata(x, y, z);
-            int dir = BedBlock.getDirection(meta);
+            int dir = BlockBed.getDirection(meta);
             float xOff = 0.5F;
             float zOff = 0.5F;
             
@@ -1221,10 +1221,10 @@ public abstract class Player extends Mob
         setSize(0.6F, 1.8F);
         resetHeight();
         ChunkCoordinates chunkcoordinates = bedChunkCoordinates;
-        if(chunkcoordinates != null && world.getBlock(chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z) instanceof BedBlock)
+        if(chunkcoordinates != null && world.getBlock(chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z) instanceof BlockBed)
         {
-            BedBlock.setBedOccupied(world, chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z, false);
-            ChunkCoordinates chunkcoordinates2 = BedBlock.getNearestEmptyChunkCoordinates(world, chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z, 0);
+            BlockBed.setBedOccupied(world, chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z, false);
+            ChunkCoordinates chunkcoordinates2 = BlockBed.getNearestEmptyChunkCoordinates(world, chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z, 0);
             if(chunkcoordinates2 == null)
             {
                 chunkcoordinates2 = new ChunkCoordinates(chunkcoordinates.x, chunkcoordinates.y + 1, chunkcoordinates.z);
@@ -1247,7 +1247,7 @@ public abstract class Player extends Mob
 
     private boolean isInBed()
     {
-        return world.getBlock(bedChunkCoordinates.x, bedChunkCoordinates.y, bedChunkCoordinates.z) instanceof BedBlock;
+        return world.getBlock(bedChunkCoordinates.x, bedChunkCoordinates.y, bedChunkCoordinates.z) instanceof BlockBed;
     }
 
     public static ChunkCoordinates getValidBedSpawnCoordinates(World world, ChunkCoordinates coords)
@@ -1258,8 +1258,8 @@ public abstract class Player extends Mob
         chunkProvider.prepareChunk(coords.x + 3 >> 4, coords.z - 3 >> 4);
         chunkProvider.prepareChunk(coords.x - 3 >> 4, coords.z + 3 >> 4);
         chunkProvider.prepareChunk(coords.x + 3 >> 4, coords.z + 3 >> 4);
-        if (world.getBlock(coords.x, coords.y, coords.z) instanceof BedBlock) {
-            return BedBlock.getNearestEmptyChunkCoordinates(world, coords.x, coords.y, coords.z, 0);
+        if (world.getBlock(coords.x, coords.y, coords.z) instanceof BlockBed) {
+            return BlockBed.getNearestEmptyChunkCoordinates(world, coords.x, coords.y, coords.z, 0);
         } else {
             return null;
         }
@@ -1270,7 +1270,7 @@ public abstract class Player extends Mob
         if(bedChunkCoordinates != null)
         {
             int i = world.getBlockMetadata(bedChunkCoordinates.x, bedChunkCoordinates.y, bedChunkCoordinates.z);
-            int j = BedBlock.getDirection(i);
+            int j = BlockBed.getDirection(i);
             switch(j)
             {
             case 0: // '\0'
@@ -1451,7 +1451,7 @@ public abstract class Player extends Mob
                 {
                     addStat(StatList.distanceByBoatStat, i);
                 } else
-                if(vehicle instanceof PigMob)
+                if(vehicle instanceof MobPig)
                 {
                     addStat(StatList.distanceByPigStat, i);
                 }
@@ -1472,7 +1472,7 @@ public abstract class Player extends Mob
     @Override
 	public void killed(Mob entityliving)
     {
-        if(entityliving instanceof Monster)
+        if(entityliving instanceof MobMonster)
         {
             triggerAchievement(Achievements.KILL_ENEMY);
         }
@@ -1509,7 +1509,7 @@ public abstract class Player extends Mob
     {
         this.gamemode = gamemode;
 
-        InventoryMenu newContainer = gamemode.getContainer(this.inventory, !world.isClientSide);
+        MenuInventory newContainer = gamemode.getContainer(this.inventory, !world.isClientSide);
         if (craftingInventory == inventorySlots)
         {
             craftingInventory = newContainer;
@@ -1554,8 +1554,8 @@ public abstract class Player extends Mob
     		return;
     	}
     	
-    	BlockEntity blockEntity = world.getBlockEntity(x, y, z);
-    	ItemStack[] result = block.getBreakResult(world, EnumDropCause.PICK_BLOCK, x, y, z, meta, blockEntity);
+    	TileEntity tileEntity = world.getBlockEntity(x, y, z);
+    	ItemStack[] result = block.getBreakResult(world, EnumDropCause.PICK_BLOCK, x, y, z, meta, tileEntity);
     	ItemStack selectItem = result != null ? result[0] : null;
     	
     	if(selectItem == null) {
